List apps
GET /apps
GET /apps
Retrieves a list of apps visible to the requesting user. Visibility:
categoriesarrayList of app categories
publicListbooleanThe public list query parameter determines whether the response will include all apps or only apps the current user has access to.
The response is an array of apps that the user may access.
idstring✻The app ID is a unique identifier for an app.
"9352258f-0263-47d1-b9c7-16cd93be7501"namestring✻The unique name of the app using only lowercase letters, numbers and hyphens.
1..256 characters/^[a-z0-9-]+$/i"hda"titlestring✻descriptionnull | stringThe description is a short description of what the app does.
1..512 characters"This app will help you manage your diabetes"iconnull | stringThe icon is a URL to the app's icon. It should be a valid URL and should point to an image file.
1..131072 charactersurlstring✻The URL is the full URL to the app's homepage.
1..1024 characters"https://www.sugarsense.com"privacyNoticeUrlnull | stringThe URL is the full URL to the app's privacy notice.
1..1024 characters"https://example.com/privacy-notice"setupUrlnull | stringThe URL is the full URL to the app's setup page.
1..1024 characters"https://example.com/setup"categoriesarray✻List of app categories
countriesarray✻List of country codes
The two-letter (A-2) ISO 3166-1 code for the user's country of residence. Only countries supported by Hedia are allowed.
"AT""CL""DE""DK""ES""FR""GB""IE""IT""LU""MT""PL""SE""DK"privateboolean✻The privacy level of the app.
firstPartyboolean✻The firstParty property determines whether or not an app is owned by Hedia.
ownerIdstring✻The owner ID is a unique identifier for an owner (either a user or an app).
createdAtstring✻createdBystring✻updatedAtstringupdatedBystring